Subject: RE: [AAA-WG]: Proposed addition to Diameter NASREQ draft

From: [email-masked]
Date: Tue, 15 May 2001 17:09:03 +0300

> From: ext Pat Calhoun [mailto:[email-masked]]
>
> How are the keys distributed to the user?

Some EAP types can do it as part of the authentication procedure. 
These include EAP TLS (RFC 2716) and EAP SRP-SHA1 (draft-ietf-pppext-
eap-srp-01.txt). I don't know if there are any ways to do it with 
the legacy RADIUS authentication protocols.

Such key distribution is already being used with RADIUS. RFC 2548 
describes Microsoft vendor-specific RADIUS extensions for this. 

Regards,
Henry